<?php

/**
 * Dynamic CSS
 */
function florist_bouquet_dynamic_css() {
	$florist_bouquet_primary_color = get_theme_mod( 'florist_bouquet_primary_color', '#e62e4a' );

	$florist_bouquet_site_title_font       = get_theme_mod( 'florist_bouquet_site_title_font', 'Raleway' );
	$florist_bouquet_site_description_font = get_theme_mod( 'florist_bouquet_site_description_font', 'Raleway' );
	$florist_bouquet_header_font           = get_theme_mod( 'florist_bouquet_header_font', 'Epilogue' );
	$florist_bouquet_content_font             = get_theme_mod( 'florist_bouquet_content_font', 'Raleway' );

	// Enqueue Google Fonts
	$florist_bouquet_fonts_url = florist_bouquet_get_fonts_url();
	if ( ! empty( $florist_bouquet_fonts_url ) ) {
		wp_enqueue_style( 'florist-bouquet-google-fonts', esc_url( $florist_bouquet_fonts_url ), array(), null );
	}

	$florist_bouquet_custom_css  = '';
	$florist_bouquet_custom_css .= '
    /* Color */
    :root {
        --primary-color: ' . esc_attr( $florist_bouquet_primary_color ) . ';
        --header-text-color: ' . esc_attr( '#' . get_header_textcolor() ) . ';
    }
    ';

	$florist_bouquet_custom_css .= '
    /* Typography */
    :root {
        --font-heading: "' . esc_attr( $florist_bouquet_header_font ) . '", serif;
        --font-main: -apple-system, BlinkMacSystemFont, "' . esc_attr( $florist_bouquet_content_font ) . '", "Segoe UI", Roboto, Oxygen-Sans, Ubuntu, Cantarell, "Helvetica Neue", sans-serif;
    }

    body,
	button, input, select, optgroup, textarea, p {
        font-family: "' . esc_attr( $florist_bouquet_content_font ) . '", serif;
	}

	.site-identity p.site-title, h1.site-title a, h1.site-title, p.site-title a, .site-branding h1.site-title a {
        font-family: "' . esc_attr( $florist_bouquet_site_title_font ) . '", serif;
	}
    
	p.site-description {
        font-family: "' . esc_attr( $florist_bouquet_site_description_font ) . '", serif !important;
	}
    ';

	wp_add_inline_style( 'florist-bouquet-style', $florist_bouquet_custom_css );
}
add_action( 'wp_enqueue_scripts', 'florist_bouquet_dynamic_css', 99 );